### Method

# Gtk TextViewadd_overlay

#### Declaration [src]

    void
    gtk_text_view_add_overlay (
      GtkTextView* text_view,
      GtkWidget* child,
      int xpos,
      int ypos
    )

#### Description [src]

Adds `child` at a fixed coordinate in the `GtkTextView`‘s text window.

The `xpos` and `ypos` must be in buffer coordinates (see `gtk_text_view_get_iter_location()` to convert to buffer coordinates).

`child` will scroll with the text view.

If instead you want a widget that will not move with the `GtkTextView` contents see `GtkOverlay`.

#### Parameters

`child`

  Type: `GtkWidget`

  A `GtkWidget`

  The data is owned by the caller of the method.

`xpos`

  Type: `int`

  X position of child in window coordinates.

`ypos`

  Type: `int`

  Y position of child in window coordinates.